The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Static Public Member Functions | List of all members
stk::Phonemes Class Reference

STK phonemes table. More...

`#include <Phonemes.h>`

Inheritance diagram for stk::Phonemes:

## Static Public Member Functions
static const char * | name (unsigned int index)
| Returns the phoneme name for the given index (0-31).
static StkFloat | voiceGain (unsigned int index)
| Returns the voiced component gain for the given phoneme index (0-31).
static StkFloat | noiseGain (unsigned int index)
| Returns the unvoiced component gain for the given phoneme index (0-31).
static StkFloat | formantFrequency (unsigned int index, unsigned int partial)
| Returns the formant frequency for the given phoneme index (0-31) and partial (0-3).
static StkFloat | formantRadius (unsigned int index, unsigned int partial)
| Returns the formant radius for the given phoneme index (0-31) and partial (0-3).
static StkFloat | formantGain (unsigned int index, unsigned int partial)
| Returns the formant gain for the given phoneme index (0-31) and partial (0-3).
Static Public Member Functions inherited from stk::Stk
static StkFloat | sampleRate (void)
| Static method that returns the current STK sample rate.
static void | setSampleRate (StkFloat rate)
| Static method that sets the STK sample rate. More...
static void | clear_alertList ()
| Static method that frees memory from alertList_.
static std::string | rawwavePath (void)
| Static method that returns the current rawwave path.
static void | setRawwavePath (std::string path)
| Static method that sets the STK rawwave path.
static void | swap16 (unsigned char *ptr)
| Static method that byte-swaps a 16-bit data type.
static void | swap32 (unsigned char *ptr)
| Static method that byte-swaps a 32-bit data type.
static void | swap64 (unsigned char *ptr)
| Static method that byte-swaps a 64-bit data type.
static void | sleep (unsigned long milliseconds)
| Static cross-platform method to sleep for a number of milliseconds.
static bool | inRange (StkFloat value, StkFloat min, StkFloat max)
| Static method to check whether a value is within a specified range.
static void | handleError (const char *message, StkError::Type type)
| Static function for error reporting and handling using c-strings.
static void | handleError (std::string message, StkError::Type type)
| Static function for error reporting and handling using c++ strings.
static void | showWarnings (bool status)
| Toggle display of WARNING and STATUS messages.
static void | printErrors (bool status)
| Toggle display of error messages before throwing exceptions.

## Additional Inherited Members
Public Member Functions inherited from stk::Stk
void | ignoreSampleRateChange (bool ignore=true)
| A function to enable/disable the automatic updating of class data when the STK sample rate changes. More...
Static Public Attributes inherited from stk::Stk
static const StkFormat | STK_SINT8
static const StkFormat | STK_SINT16
static const StkFormat | STK_SINT24
static const StkFormat | STK_SINT32
static const StkFormat | STK_FLOAT32
static const StkFormat | STK_FLOAT64
Protected Member Functions inherited from stk::Stk
| Stk (void)
| Default constructor.
virtual | ~Stk (void)
| Class destructor.
virtual void | sampleRateChanged (StkFloat newRate, StkFloat oldRate)
| This function should be implemented in subclasses that depend on the sample rate.
void | addSampleRateAlert (Stk *ptr)
| Add class pointer to list for sample rate change notification.
void | removeSampleRateAlert (Stk *ptr)
| Remove class pointer from list for sample rate change notification.
void | handleError (StkError::Type type) const
| Internal function for error reporting that assumes message in `oStream_` variable.

## Detailed Description

STK phonemes table.

This class does nothing other than declare a set of 32 static phoneme formant parameters and provide access to those values.

by Perry R. Cook and Gary P. Scavone, 1995–2021.

The documentation for this class was generated from the following file:

- Phonemes.h

The Synthesis ToolKit in C++ (STK)
©1995--2021 Perry R. Cook and Gary P. Scavone. All Rights Reserved.